EndpointURIEndpointBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.endpoint.EndpointURIEndpointBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class EndpointURIEndpointBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder

Direct Known Subclasses:
  AbstractEndpointFactoryBean, EndpointFactoryBean

    public class EndpointURIEndpointBuilder

extends AbstractEndpointBuilder

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, encoding, filter, initialState, muleContext, name, properties, PROPERTY_RESPONSE_TIMEOUT, registryId, responseTimeout, responseTransformers, retryPolicyTemplate, securityFilter, synchronous, transactionConfig, transformers, uriBuilder`

Constructor Summary
`EndpointURIEndpointBuilder()`
`EndpointURIEndpointBuilder(EndpointURIEndpointBuilder global)` Called from Spring
`EndpointURIEndpointBuilder(EndpointURI endpointURI, MuleContext muleContext)` Deprecated.
`EndpointURIEndpointBuilder(ImmutableEndpoint source, MuleContext muleContext)`
`EndpointURIEndpointBuilder(String address, MuleContext muleContext)` Deprecated.
`EndpointURIEndpointBuilder(URIBuilder URIBuilder, MuleContext muleContext)`

Method Summary

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addTransformer, buildInboundEndpoint, buildOutboundEndpoint, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getBooleanProperty, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultEndpointEncoding, getDefaultFilter, getDefaultInboundTransformers, getDefaultInitialState, getDefaultOutboundTransformers, getDefaultResponseTimeout, getDefaultResponseTransformers, getDefaultSecurityFilter, getDefaultSynchronous, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getFilter, getInboundEndpointResponseTransformers, getInboundTransformers, getInitialState, getIntegerProperty, getName, getOutboundEndpointResponseTransformers, getOutboundTransformers, getProperties, getResponseTimeout, getRetryPolicyTemplate, getSecurityFilter, getSynchronous, getTransactionConfig, hashCode, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setEncoding, setFilter, setInitialState, setMuleContext, setName, setProperties, setPropertiesFromProperties, setProperty, setRegistryId, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setSecurityFilter, setSynchronous, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder()

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(EndpointURIEndpointBuilder global)
                               throws EndpointException

  Called from Spring

  Parameters:
    `global` - The global endpoint "Policy"
  Throws:
    `EndpointException`

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(URIBuilder URIBuilder,
                                      MuleContext muleContext)

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(String address,
                                      MuleContext muleContext)

  Deprecated.

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(EndpointURI endpointURI,
                                      MuleContext muleContext)

  Deprecated.

### EndpointURIEndpointBuilder

    public EndpointURIEndpointBuilder(ImmutableEndpoint source,
                                      MuleContext muleContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.